Name:           python-pid
Version:        2.0.1
Release:        1%{?dist}
Summary:        PID file management library

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/pid
Source0:        https://pypi.python.org/packages/source/p/pid/pid-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

BuildArch:      noarch

%description
pid provides a PidFile class that manages PID files. PidFile features:
  - stale detection
  - locking using fcntl
  - chmod (default is 0o644)
  - chown
  - custom exceptions

PidFile can also be used as a context manager or a decorator.

%package -n python3-pid
Summary:        PID file management library

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-pid
pid provides a PidFile class that manages PID files. PidFile features:
  - stale detection
  - locking using fcntl
  - chmod (default is 0o644)
  - chown
  - custom exceptions

PidFile can also be used as a context manager or a decorator.

%prep
%setup -qc
mv pid-%{version} python2

pushd python2
# Copy common doc files to the top directory
cp -pr AUTHORS CHANGELOG LICENSE README.rst ../

rm -rf pid.egg-info
popd

cp -a python2 python3

%build
pushd python2
%{__python2} setup.py build
popd

pushd python3
%{__python3} setup.py build
popd


%install
pushd python2
%{__python2} setup.py install --skip-build --root %{buildroot}
popd

pushd python3
%{__python3} setup.py install --skip-build --root %{buildroot}
popd


%check
pushd python2
%{__python2} setup.py test
popd

pushd python3
%{__python3} setup.py test
popd

%files
%license LICENSE
%doc AUTHORS CHANGELOG README.rst
%{python2_sitelib}/pid
%{python2_sitelib}/pid-*.egg-info

%files -n python3-pid
%license LICENSE
%doc AUTHORS CHANGELOG README.rst
%{python3_sitelib}/pid
%{python3_sitelib}/pid-*.egg-info

%changelog
* Tue Aug  4 2015 David Shea <dshea@redhat.com> - 2.0.1-1
- Initial package
